Page MenuHomePhabricator

View of "Other languages" an article is available in should show app languages in a preferred list
Closed, ResolvedPublic2 Story Points

Description

User story

When reading an article, I want to be able to switch to view it in all languages I read, so that I can quickly access more diverse content.

Proposed design
  • Show app languages in a 'Preferred languages' list above the full list of 'Other languages' in which an article is available.
Article in zh-hant, with English as primary device language
Other languages the article is available in, with user's app languages in a listed first

Redline version of mock in Zeplin board tagged with Multilingual and Other languages

  • The list of “Other languages” an article is available in should show each line item with 3 lines of data, with the following logic:
Articles results list in 'Other languages' display logicExample (if EN is the device language, for the 'Egg tart' article)
Line 1Native language nameFrançais
Line 2Name in device languageFrench
Line 3Article name in particular languageTarte aux œufs

See T165533 for visual design updates to this screen

Event Timeline

RHo created this task.Apr 5 2018, 10:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2018, 10:29 AM
Charlotte set the point value for this task to 2.Apr 9 2018, 4:23 PM
RHo updated the task description. (Show Details)Apr 16 2018, 4:58 PM
cooltey claimed this task.Apr 25 2018, 12:49 AM

Change 429366 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] [WIP] Update "other languages" view of multilingual supports

https://gerrit.wikimedia.org/r/429366

cooltey added a comment.EditedApr 30 2018, 11:48 PM

Hi @RHo

Regarding the line 2 section of Other languages logic table in the description, should we show the language name (first subtitle) base on the topmost app language? (in the table you've put in as device language)

For example:
I have 3 app languages:

  • English (1st)
  • Traditional Chinese(2nd)
  • Japanese(3rd)

My device language :

  • Traditional Chinese.

When showing the Other languages page, the first subtitle of the items will display in English.

RHo added a comment.May 1 2018, 12:58 PM

Hi @cooltey - yes line 2 in the table is correct as the device language, since we continue to show app UI text in the device language.
In your scenario, the device language Traditional Chinese should be the language used in all Explore feed headers, button actions, Settings text, etc, even though the app language is English.

Hi @RHo
Regarding the line 2 section of Other languages logic table in the description, should we show the language name (first subtitle) base on the topmost app language? (in the table you've put in as device language)
For example:
I have 3 app languages:

  • English (1st)
  • Traditional Chinese(2nd)
  • Japanese(3rd)

My device language :

  • Traditional Chinese.

When showing the Other languages page, the first subtitle of the items will display in English.

I see, thanks! @RHo

Change 429366 merged by jenkins-bot:
[apps/android/wikipedia@master] Update "other languages" view of multilingual supports

https://gerrit.wikimedia.org/r/429366

RHo added a comment.May 8 2018, 1:35 PM

LGTM on Wikipedia v2.3.232-alpha-2018-05-07. Moved for QA on more devices

RHo added a comment.May 8 2018, 1:56 PM

Actually @cooltey - I thought the inconsistent capitalization of language names in T190838 would fix this across the board but it hasn't. Can this be applied across all screens? Ie. all languages in Latin script should be capitalized following English capitalization rules (e.g, français should be shown as Français)

Testing on Nexus 9 tablet with Android 7.1.1 with Wikipedia app 2.7.232-alpha-2018-05-15. I included screencaps,
so if the attached screengrabs look okay then the staff can decide what to do next.

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.232-alpha-2018-05-15

I am seeing the other app languages surfaced at the top